Name:             ktechlab
Version:          0.3.6
Release:          6%{?dist}
Summary:          Development and simulation of microcontrollers and electronic circuits

License:          GPLv2
Group:            Applications/Engineering

URL:              http://sourceforge.net/projects/ktechlab/
Source:           http://downloads.sourceforge.net/ktechlab/%{name}-%{version}.tar.bz2

Patch0:           ktechlab-0.3-pic.patch
Patch1:           ktechlab-0.3.desktop.patch
Patch2:           ktechlab-0.3-ppc-includes.patch
Patch3:           ktechlab-0.3-multilib.patch

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    gpsim-devel readline-devel kdelibs-devel
BuildRequires:    desktop-file-utils

# Ktechlab requires gputils for PIC simulation.
Requires:         gputils

%description
KTechlab is a development and simulation environment for microcontrollers
and electronic circuits, distributed under the GNU General Public License.

KTechlab consists of several well-integrated components:
A circuit simulator, capable of simulating logic, linear devices and some
nonlinear devices.
* Integration with gpsim, allowing PICs to be simulated in circuit.
* A schematic editor, which provides a rich real-time feedback of the
simulation.
* A flowchart editor, allowing PIC programs to be constructed visually.
* MicroBASIC; a BASIC-like compiler for PICs, written as a companion program
to KTechlab.
* An embedded Kate part, which provides a powerful editor for PIC programs.
* Integrated assembler and disassembler via gpasm and gpdasm.

%prep
%setup -q -n %{name}-0.3
%{__rm} -rf autom4te.cache

%patch0 -p0 -b pic14.h
%patch1 -p0 -b ktechlab.desktop

%ifarch ppc ppc64
%patch2 -p1 -b .ppc-includes
%endif

%patch3 -p0 -b .multilib

%build
%configure --disable-rpath
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

desktop-file-install --vendor fedora            \
    --add-category Enginneering                 \
    --delete-original                           \
    --dir %{buildroot}%{_datadir}/applications/ \
    %{buildroot}%{_datadir}/applnk/Development/%{name}.desktop

# Fix absolute symlink
%{__rm} -f %{buildroot}%{_docdir}/HTML/en/%{name}/common


#setting default path for sdcc
%{__mkdir} -p %{buildroot}%{_sysconfdir}/profile.d
cat > %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh << EOF
# setting default path for sdcc - fedora
export PATH=\$PATH:%{_libexecdir}/sdcc
EOF
chmod 0755 %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh

# No translation
#%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
%{_bindir}/update-desktop-database %{_datadir}/applications || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
%{_bindir}/update-desktop-database %{_datadir}/applications || :

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING TODO
%doc %{_datadir}/doc/HTML/en/%{name}
%{_bindir}/%{name}
%{_bindir}/microbe
%{_datadir}/apps/%{name}
%{_datadir}/apps/katepart/syntax/microbe.xml
%{_datadir}/config.kcfg/%{name}.kcfg
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_sysconfdir}/profile.d/%{name}.sh


%Changelog
* Sat Aug 18 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.6-6
- fixed conflict with alliance and changed license

* Sun Aug 12 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.6-5
- added sdcc to path

* Thu Jun 28 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.6-4
- fix for ppc64

* Thu Jun 28 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.6-3
- add patch multilib to enable build for ppc64 architecture

* Fri Apr 20 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.6-2
- rebuild

* Wed Apr 18 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.6-1
- New svn snapshot

* Wed Jan 03 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3-10 #development release
- New development snapshot - 20070103
- dropped ktechlab-check.patch

* Thu Dec 28 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3-9 #development release
- uncomment define CHECK in src/electronics/simulation/elementset.cpp

* Wed Dec 27 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3-8 #development release
- New development snapshot - 20061227

* Mon Dec 25 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3-7 #development release
- New development snapshot - Providing testing facilities to upstream
- dropped ktechlab-0.3-pic.patch
- package does not ship autom4te.cache anymore
- fixed missing make for src/math

* Wed Nov 22 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3-6
- Rebuilt due to new gpsim-devel release

* Fri Oct 13 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3-5
- Try to fix compilation on ppc.

* Mon Sep 25 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3-3
- Added gputils as requires

* Thu Sep 21 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3-2
- Removed gputils and gpsim as requires
- Removed autom4te.cache directory
- Owning %%{_datadir}/config.kcfg/
- Removed ldconfig from %%post and %%postun
- Removed gettext, libtool and autoconf as BR

* Fri Sep 15 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3-1
- Initial package for Fedora Extras.
